package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.MeasureType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.MeasureTypeDescriptor;

public class GnatmetricHudsonMeasureType extends MeasureType {

private static MeasureTypeDescriptor<? extends MeasureType> DESCRIPTOR = new GnatmetricHudsonMeasureType.DescriptorImpl();

@DataBoundConstructor
public GnatmetricHudsonMeasureType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public MeasureTypeDescriptor<? extends MeasureType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends MeasureTypeDescriptor<GnatmetricHudsonMeasureType> {

  public DescriptorImpl() {
     super(GnatmetricHudsonMeasureType.class, com.thalesgroup.dtkit.tusar.GnatMetric.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.GnatMetric";
}

}

}
